Download

FMOD Integration error Missing DSP Plugin 'OCULUS SPATIALIZER'

Has anyone been able to successfully use FMOD OCULUS SPATIALIZER?
I am on 64bit Windows, UE v4.10, FMOD v1.0703.

I always get this error:


LogFMOD:Warning: d:\jk\workspace\Build__1.7__UE4Libs_Win\studio_api\src\fmod_effect.cpp(189) - Missing DSP plugin 'OCULUS SPATIALIZER'
LogFMOD:Warning: d:\jk\workspace\Build__1.7__UE4Libs_Win\studio_api\src\fmod_bankmodel.cpp(232) - Creating stub DSP plugin model and continuing.

Then when I run the game It looks like FMOD is initialized properly:



LogFMOD: Loading plugin 'ovrfmod'
LogFMOD: Trying to load plugin file at location: ../../../../../../VR_projectMJ/Plugins/FMODStudio/Binaries/Win64/ovrfmod.dll
LogFMOD: Trying to load plugin file at location: ../../../../../../VR_projectMJ/Plugins/FMODStudio/Binaries/Win64/ovrfmod64.dll
LogFMOD: Loaded plugin ovrfmod
LogFMOD: Loading Banks

but then I get this:


LogFMOD:Warning: d:\jk\workspace\Build__1.7__UE4Libs_Win\studio_api\src\fmod_effect.cpp(212) - DSP plugin 'OCULUS SPATIALIZER' has mismatched parameters to those in the bank
LogFMOD:Error: d:\jk\workspace\Build__1.7__UE4Libs_Win\studio_api\src\fmod_bankmodel.cpp(239) - DSP plugin returned an error, bank will not load properly.
LogFMOD:Warning: Failed to bank: ../../../../../../VR_projectMJ/Content/FMODMJ105/Desktop/Master Bank.bank (An unspecified error has been returned from a plugin.)

First I’ve tried following this guide
https://developer.oculus.com/documentation/audiosdk/latest/concepts/osp-fmod-migrate/

I got the error

Then I tried following this guide

I still got the error

I tried older versions of FMOD, most actual version of FMOD, I tried copying various combinations of Win32/64 ovrfmod files up and down in all the possible folders, but I’ve never been able to make it work.

Could anyone who was able to make it work write their configurations and steps needed please?